%define name TinyCA 
%define version 0.4.0
%define release 1mdk

Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{name}-%{version}.tar.bz2
Patch:			TinyCA-0.4.0-relocated_dir.patch.bz2
URL:			http://tinyca.sm-zone.net/
Group:			System/Servers
License:		GPL
Summary:		Small Certification Authority (CA) manager 
BuildRoot:		%{_tmppath}/%{name}-%{version}-buidroot
Requires: perl-Tk
BuildArch: noarch

%description 
TinyCA is a simple GUI written in Perl/Tk to manage a small
certification authority. It is based on OpenSSL and Perl modules from
the OpenCA project. TinyCA lets you manage x509 certificates. It is
possible to export data in PEM or DER format for use with servers, as
PKCS#12 for use with clients, or as S/MIME certificates for use with
email programs. It is also possible to import your own PKCS#10
requests and generate certificates from them.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
%patch -p1

%build
%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/{lib,templates}
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -m 444 lib/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/
install -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{_libdir}/%{name}/templates/
install -m 755 tinyca $RPM_BUILD_ROOT%{_bindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/templates/
%{_libdir}/%{name}/templates/openssl.cnf
%{_libdir}/%{name}/lib

%changelog
* Mon Aug 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.4.0-1mdk
- release 0.4.0
- no more dependencies on OpenCA modules

* Sat Jul 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-2mdk
- relocate templates (Ben Reser)

* Wed Jul 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-1mdk
- first mdk package

